<?xml version="1.0" encoding="gb2312"?>
<Config>
    <camera_pos>3</camera_pos> <!-- MHA 对应 3, main camera right-->
    <fov_scale>1</fov_scale><!-- 副camera fov / 主camera fov--><!-- MHA/DUKE/VV 对应 1.03/1/1.03-->
    <contrast_per>30</contrast_per>
    <hybrid_crop_size_plus>16</hybrid_crop_size_plus>
    <b_distort_corr>1</b_distort_corr>
    <distort_path>/data/camera/dismap.dat</distort_path>
    <scene_cfg_data>scene_t42e.dat</scene_cfg_data>
    <PreProcess>
    </PreProcess>
    <RouteSwitch>
        <DepthType>0</DepthType>
        <ColorOnlyDisparity>10</ColorOnlyDisparity>
        <ColorOnlyPixelPercent>80</ColorOnlyPixelPercent>
        <ColorBaseDisparity>10</ColorBaseDisparity>
        <ColorBasePixelPercent>10</ColorBasePixelPercent>
        <MonoBasedChroma>10</MonoBasedChroma>
        <MonoBasedPixelPercent>99</MonoBasedPixelPercent>
        <MonoBasedDiffUMax>32</MonoBasedDiffUMax>
        <MonoBasedDiffVMax>32</MonoBasedDiffVMax>
        <HyBridFusion>
            <WarpColorWeightShift>3</WarpColorWeightShift>
        </HyBridFusion>
    </RouteSwitch>
    <BM>
        <use_extra_candidate>1</use_extra_candidate>
    </BM>
    <FUSION>
        <zoom_factor_th>1.5</zoom_factor_th>
        <detail_ratio_max_th>256</detail_ratio_max_th>
    </FUSION>
    <!--params for different iso-->
    <!--mono_eps at [0.032, 0.16]-->
    <!--color_eps at [0.04, 0.16]-->
    <isoCount>10</isoCount>
    <iso1>
        <iso>512</iso>
        <appointed_router>-1</appointed_router> <!--0/1/2/3表示monobase/colorbase/coloronly/hybrid, -1表示算法自己判断-->

        <color_eps>0.04</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.02</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.04</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.04</smooth_eps>
        <smooth_eps_scale>15</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>80</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>15</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>15</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>64</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso1>
    <iso2>
        <iso>1024</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>300</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>70</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>18</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso2>
    <iso3>
        <iso>1536</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>384</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>65</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>

        <hybrid_diff_th>20</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>80</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso3>
    <iso4>
        <iso>2048</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.1</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.05</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.1</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>430</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>18</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4.2</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>3</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso4>
    <iso5>
        <iso>3072</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>480</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>19</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4.2</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>3</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso5>
    <iso6>
        <iso>4096</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>512</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>20</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4.4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>3</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso6>
    <iso7>
        <iso>6144</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4.5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso7>
    <iso8>
        <iso>8192</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4.5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>400</hybrid_detail_gain>
    </iso8>
    <iso9>
        <iso>16384</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.16</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso9>
    <iso10>
        <iso>32768</iso>
        <appointed_router>-1</appointed_router>

        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>3</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>2</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>80</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso10>
</Config>